import { HexString } from "./consts";
import { ChainQueryType, ChainSpecificQuery } from "./request";
import { BinaryReader } from "./BinaryReader";
import { ChainSpecificResponse } from "./response";
export interface EthCallData {
    to: string;
    data: string;
}
export type BlockTag = number | HexString;
export declare class EthCallQueryRequest implements ChainSpecificQuery {
    callData: EthCallData[];
    blockTag: string;
    constructor(blockTag: BlockTag, callData: EthCallData[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
    static from(bytes: string | Uint8Array): EthCallQueryRequest;
    static fromReader(reader: BinaryReader): EthCallQueryRequest;
}
export declare function parseBlockId(blockId: BlockTag): string;
export declare class EthCallQueryResponse implements ChainSpecificResponse {
    blockNumber: bigint;
    blockHash: string;
    blockTime: bigint;
    results: string[];
    constructor(blockNumber: bigint, blockHash: string, blockTime: bigint, results?: string[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
    static from(bytes: string | Uint8Array): EthCallQueryResponse;
    static fromReader(reader: BinaryReader): EthCallQueryResponse;
}
