import { BlockTag, EthCallData } from "./ethCall";
import { ChainQueryType, ChainSpecificQuery } from "./request";
import { BinaryReader } from "./BinaryReader";
import { ChainSpecificResponse } from "./response";
export declare class EthCallByTimestampQueryRequest implements ChainSpecificQuery {
    callData: EthCallData[];
    targetTimestamp: bigint;
    targetBlockHint: string;
    followingBlockHint: string;
    constructor(targetTimestamp: bigint, targetBlockHint: BlockTag, followingBlockHint: BlockTag, callData: EthCallData[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
    static from(bytes: string | Uint8Array): EthCallByTimestampQueryRequest;
    static fromReader(reader: BinaryReader): EthCallByTimestampQueryRequest;
}
export declare class EthCallByTimestampQueryResponse implements ChainSpecificResponse {
    targetBlockNumber: bigint;
    targetBlockHash: string;
    targetBlockTime: bigint;
    followingBlockNumber: bigint;
    followingBlockHash: string;
    followingBlockTime: bigint;
    results: string[];
    constructor(targetBlockNumber: bigint, targetBlockHash: string, targetBlockTime: bigint, followingBlockNumber: bigint, followingBlockHash: string, followingBlockTime: bigint, results?: string[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
    static from(bytes: string | Uint8Array): EthCallByTimestampQueryResponse;
    static fromReader(reader: BinaryReader): EthCallByTimestampQueryResponse;
}
