import { BinaryReader } from "./BinaryReader";
import { BlockTag, EthCallData, EthCallQueryResponse } from "./ethCall";
import { ChainQueryType, ChainSpecificQuery } from "./request";
export declare class EthCallWithFinalityQueryRequest implements ChainSpecificQuery {
    callData: EthCallData[];
    blockId: string;
    finality: "safe" | "finalized";
    constructor(blockId: BlockTag, finality: "safe" | "finalized", callData: EthCallData[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
    static from(bytes: string | Uint8Array): EthCallWithFinalityQueryRequest;
    static fromReader(reader: BinaryReader): EthCallWithFinalityQueryRequest;
}
export declare class EthCallWithFinalityQueryResponse extends EthCallQueryResponse {
    type(): ChainQueryType;
    static from(bytes: string | Uint8Array): EthCallWithFinalityQueryResponse;
    static fromReader(reader: BinaryReader): EthCallWithFinalityQueryResponse;
}
