import { BinaryReader } from "./BinaryReader";
import { ChainSpecificQuery, QueryRequest } from "./request";
export declare const QUERY_RESPONSE_PREFIX = "query_response_0000000000000000000|";
export declare class QueryResponse {
    requestChainId: number;
    requestId: string;
    request: QueryRequest;
    responses: PerChainQueryResponse[];
    version: number;
    constructor(requestChainId: number, requestId: string, request: QueryRequest, responses?: PerChainQueryResponse[], version?: number);
    serialize(): Uint8Array;
    static digest(bytes: Uint8Array): Uint8Array;
    static from(bytes: string | Uint8Array): QueryResponse;
    static fromReader(reader: BinaryReader): QueryResponse;
}
export declare class PerChainQueryResponse {
    chainId: number;
    response: ChainSpecificResponse;
    constructor(chainId: number, response: ChainSpecificResponse);
    serialize(): Uint8Array;
    static from(bytes: string | Uint8Array): PerChainQueryResponse;
    static fromReader(reader: BinaryReader): PerChainQueryResponse;
}
export interface ChainSpecificResponse extends ChainSpecificQuery {
}
