import { ChainQueryType, ChainSpecificQuery } from "./request";
import { BinaryReader } from "./BinaryReader";
import { ChainSpecificResponse } from "./response";
export declare class SolanaAccountQueryRequest implements ChainSpecificQuery {
    commitment: string;
    accounts: Uint8Array[];
    minContextSlot: bigint;
    dataSliceOffset: bigint;
    dataSliceLength: bigint;
    constructor(commitment: "finalized", accounts: string[], minContextSlot?: bigint, dataSliceOffset?: bigint, dataSliceLength?: bigint);
    type(): ChainQueryType;
    serialize(): Uint8Array;
    static from(bytes: string | Uint8Array): SolanaAccountQueryRequest;
    static fromReader(reader: BinaryReader): SolanaAccountQueryRequest;
}
export declare class SolanaAccountQueryResponse implements ChainSpecificResponse {
    slotNumber: bigint;
    blockTime: bigint;
    blockHash: Uint8Array;
    results: SolanaAccountResult[];
    constructor(slotNumber: bigint, blockTime: bigint, blockHash: Uint8Array, results: SolanaAccountResult[]);
    type(): ChainQueryType;
    serialize(): Uint8Array;
    static from(bytes: string | Uint8Array): SolanaAccountQueryResponse;
    static fromReader(reader: BinaryReader): SolanaAccountQueryResponse;
}
export interface SolanaAccountResult {
    lamports: bigint;
    rentEpoch: bigint;
    executable: boolean;
    owner: Uint8Array;
    data: Uint8Array;
}
