export declare function isValidHexString(s: string): boolean;
export declare function hexToUint8Array(s: string): Uint8Array;
export declare function uint8ArrayToHex(b: Uint8Array): string;
export declare function coalesceUint8Array(b: string | Uint8Array): Uint8Array;
export declare function signaturesToEvmStruct(signatures: string[]): {
    r: string;
    s: string;
    v: string;
    guardianIndex: string;
}[];
/**
 * @param key Private key used to sign `data`
 * @param data Data for signing
 * @returns ECDSA secp256k1 signature
 */
export declare function sign(key: string, data: Uint8Array): string;
